<!--
    Variant 02 - System view game info and wheel carousels
-->

<theme>
    <transitions>fadeAndSlide</transitions>

    <include>./navigationsounds.xml</include>
    <include>./colors.xml</include>

    <!-- Per-system band colors and platform info -->
    <include>./${system.theme}/colors.xml</include>
    <include>./${system.theme}/systeminfo.xml</include>

    <variables>
        <systemConsoleImage>./${system.theme}/images/consolegame.svg</systemConsoleImage>
        <systemControllerImage>./${system.theme}/images/controller.svg</systemControllerImage>
        <systemLogo>./${system.theme}/images/logo.svg</systemLogo>
    </variables>

    <view name="system">
        <carousel name="systemCarousel">
            <pos>0 0</pos>
            <size>0.28 1</size>
            <type>verticalWheel</type>
            <staticImage>./${system.theme}/images/logo.svg</staticImage>
            <itemsBeforeCenter>4</itemsBeforeCenter>
            <itemsAfterCenter>4</itemsAfterCenter>
            <itemSize>0.15 0.125</itemSize>
            <itemScale>1.23</itemScale>
            <itemRotation>11</itemRotation>
            <itemRotationOrigin>-3.03 0.5</itemRotationOrigin>
            <itemAxisHorizontal>true</itemAxisHorizontal>
            <itemHorizontalAlignment>center</itemHorizontalAlignment>
            <itemVerticalAlignment>center</itemVerticalAlignment>
            <wheelHorizontalAlignment>right</wheelHorizontalAlignment>
            <horizontalOffset>-0.05</horizontalOffset>
            <color>555555BB</color>
            <text>${system.fullName}</text>
            <textColor>F0F0F0</textColor>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.056</fontSize>
            <letterCase>uppercase</letterCase>
            <lineSpacing>1.2</lineSpacing>
        </carousel>
        <gameselector name="selectorRecent">
            <selection>lastplayed</selection>
            <gameCount>1</gameCount>
        </gameselector>
        <gameselector name="selectorRandom">
            <selection>random</selection>
            <gameCount>1</gameCount>
        </gameselector>
        <image name="randomBackgroundImage">
            <pos>0 0</pos>
            <size>1 1</size>
            <imageType>fanart, titlescreen</imageType>
            <gameselector>selectorRandom</gameselector>
            <interpolation>nearest</interpolation>
            <opacity>0.8</opacity>
            <saturation>0.8</saturation>
            <zIndex>3</zIndex>
        </image>
        <image name="recentGameImage">
            <pos>0.975 0.08</pos>
            <origin>1 0</origin>
            <size>0.2 0</size>
            <imageType>cover</imageType>
            <gameselector>selectorRecent</gameselector>
            <interpolation>nearest</interpolation>
            <zIndex>3</zIndex>
        </image>
        <video name="randomGameVideo">
            <pos>0.30 0.23</pos>
            <maxSize>0.3 0.424</maxSize>
            <imageType>marquee, titlescreen</imageType>
            <gameselector>selectorRandom</gameselector>
            <audio>true</audio>
            <interpolation>linear</interpolation>
            <pillarboxes>false</pillarboxes>
            <scanlines>false</scanlines>
            <delay>1.7</delay>
            <fadeInTime>1.2</fadeInTime>
        </video>
        <text name="gameCounter">
            <pos>0.30 0.082</pos>
            <size>0.35 0.1</size>
            <systemdata>gamecount</systemdata>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.048</fontSize>
            <horizontalAlignment>left</horizontalAlignment>
            <color>C6C6C6</color>
            <backgroundColor>55555500</backgroundColor>
            <letterCase>uppercase</letterCase>
            <zIndex>50</zIndex>
        </text>
        <text name="systemName">
            <pos>0.30 0.01</pos>
            <size>0.46 0.1</size>
            <systemdata>fullname</systemdata>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.075</fontSize>
            <horizontalAlignment>left</horizontalAlignment>
            <color>E6E6E6</color>
            <backgroundColor>55555500</backgroundColor>
            <letterCase>uppercase</letterCase>
            <zIndex>50</zIndex>
        </text>
        <text name="gameName">
            <pos>0.775 0.59</pos>
            <size>0.2 0.05</size>
            <metadata>name</metadata>
            <gameselector>selectorRecent</gameselector>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.045</fontSize>
            <horizontalAlignment>right</horizontalAlignment>
            <color>E6E6E6</color>
            <backgroundColor>55555500</backgroundColor>
            <letterCase>none</letterCase>
            <zIndex>50</zIndex>
        </text>
        <datetime name="gameLastplayed">
            <pos>0.775 0.64</pos>
            <size>0.2 0.05</size>
            <metadata>lastplayed</metadata>
            <gameselector>selectorRecent</gameselector>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.045</fontSize>
            <horizontalAlignment>right</horizontalAlignment>
            <color>E6E6E6</color>
            <backgroundColor>55555500</backgroundColor>
            <letterCase>capitalize</letterCase>
            <displayRelative>true</displayRelative>
            <zIndex>50</zIndex>
        </datetime>
        <text name="recentlyPlayed">
            <pos>0.775 0.03</pos>
            <size>0.2 0</size>
            <text>Last played</text>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.035</fontSize>
            <horizontalAlignment>left</horizontalAlignment>
            <color>E6E6E6</color>
            <backgroundColor>55555500</backgroundColor>
            <letterCase>uppercase</letterCase>
            <zIndex>50</zIndex>
        </text>
        <text name="info1, info2, info3, info4, info5, info6, info7, info8, info9, info10">
            <size>0.4 0.03</size>
            <fontPath>./core/fonts/Exo2-SemiBoldCondensed.otf</fontPath>
            <fontSize>0.021</fontSize>
            <horizontalAlignment>left</horizontalAlignment>
            <color>D6D6D6</color>
        </text>
        <text name="info1">
            <pos>0.58 0.695</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info2">
            <pos>0.58 0.716</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info3">
            <pos>0.58 0.737</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info4">
            <pos>0.58 0.758</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info5">
            <pos>0.58 0.799</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info6">
            <pos>0.58 0.820</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info7">
            <pos>0.58 0.841</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info8">
            <pos>0.58 0.862</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info9">
            <pos>0.58 0.883</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <text name="info10">
            <pos>0.58 0.904</pos>
            <horizontalAlignment>right</horizontalAlignment>
        </text>
        <rating name="randomGameRating">
            <pos>0.30 0.167</pos>
            <size>0.06 0.04</size>
            <gameselector>selectorRandom</gameselector>
            <color>FFEE00</color>
            <opacity>0.9</opacity>
        </rating>
        <rating name="recentGameRating">
            <pos>0.975 0.042</pos>
            <origin>1 0</origin>
            <size>0.03 0.03</size>
            <gameselector>selectorRecent</gameselector>
            <color>FFEE00</color>
        </rating>
        <helpsystem name="help">
            <pos>0.9885 0.955</pos>
            <origin>1 0</origin>
            <textColor>A6A6A6</textColor>
            <iconColor>A6A6A6</iconColor>
            <textColorDimmed>969696</textColorDimmed>
            <iconColorDimmed>969696</iconColorDimmed>
        </helpsystem>
    </view>

    <view name="gamelist">
        <carousel name="gamelistCarousel">
            <pos>0.5 0.645</pos>
            <size>0.96 0.28</size>
            <origin>0.5 0</origin>
            <type>horizontalWheel</type>
            <imageType>marquee</imageType>
            <itemSize>0.12 0.125</itemSize>
            <itemScale>1.5</itemScale>
            <imageInterpolation>linear</imageInterpolation>
            <itemRotation>11.8</itemRotation>
            <itemRotationOrigin>-6.8 0.5</itemRotationOrigin>
            <itemVerticalAlignment>center</itemVerticalAlignment>
            <wheelVerticalAlignment>top</wheelVerticalAlignment>
            <verticalOffset>0.05</verticalOffset>
            <unfocusedItemOpacity>0.7</unfocusedItemOpacity>
            <fastScrolling>true</fastScrolling>
            <color>555555DD</color>
            <textColor>${systemCarouselTextColor}</textColor>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.046</fontSize>
            <letterCase>uppercase</letterCase>
            <lineSpacing>1.2</lineSpacing>
            <zIndex>80</zIndex>
        </carousel>
        <image name="background">
            <pos>0 0</pos>
            <size>1 1</size>
            <path>./core/images/background.png</path>
            <tile>true</tile>
            <color>${backgroundColor}</color>
            <zIndex>0</zIndex>
        </image>
        <image name="band1">
            <pos>0.80 0</pos>
            <size>0.03 1</size>
            <path>./core/images/band.png</path>
            <zIndex>5</zIndex>
        </image>
        <image name="band2">
            <pos>0.829 0</pos>
            <size>0.03 1</size>
            <path>./core/images/band.png</path>
            <zIndex>5</zIndex>
        </image>
        <image name="band3">
            <pos>0.858 0</pos>
            <size>0.03 1</size>
            <path>./core/images/band.png</path>
            <zIndex>5</zIndex>
        </image>
        <image name="band4">
            <pos>0.887 0</pos>
            <size>0.03 1</size>
            <path>./core/images/band.png</path>
            <zIndex>5</zIndex>
        </image>
        <image name="backframe2">
            <pos>0.5 0.19</pos>
            <size>0.96 0.735</size>
            <origin>0.5 0</origin>
            <path>./core/images/frame.png</path>
            <color>${gamelistBackFrameColor}</color>
            <zIndex>10</zIndex>
        </image>
        <image name="consolegame">
            <pos>0.02 0.17</pos>
            <maxSize>0.4 0.15</maxSize>
            <origin>0 1</origin>
            <path>${systemConsoleImage}</path>
        </image>
        <image name="logo">
            <pos>0.78 0.17</pos>
            <maxSize>0.32 0.13</maxSize>
            <origin>1 1</origin>
            <path>${systemLogo}</path>
        </image>
        <image name="coverImage">
            <pos>0.26 0.25</pos>
            <maxSize>0.18 0.324</maxSize>
            <origin>0.5 0</origin>
            <imageType>cover</imageType>
            <interpolation>linear</interpolation>
            <scrollFadeIn>true</scrollFadeIn>
        </image>
        <image name="gameImage">
            <pos>0.5 0.25</pos>
            <maxSize>0.256 0.324</maxSize>
            <origin>0.5 0</origin>
            <imageType>screenshot, titlescreen</imageType>
            <interpolation>nearest</interpolation>
            <scrollFadeIn>true</scrollFadeIn>
        </image>
        <text name="labelReleasedate, labelDeveloper, labelPublisher,
                    labelGenre, labelPlayers">
            <size>0.14 0.02</size>
            <fontPath>./core/fonts/Exo2-BoldCondensed.otf</fontPath>
            <fontSize>0.0195</fontSize>
            <color>${gamelistDefaultTextColor}</color>
            <letterCase>uppercase</letterCase>
        </text>
        <text name="developer, publisher, genre, players">
            <size>0.14 0.02</size>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.0195</fontSize>
            <color>${gamelistDefaultTextColor}</color>
            <letterCase>uppercase</letterCase>
        </text>
        <datetime name="releasedate">
            <size>0.14 0.02</size>
            <fontPath>./core/fonts/Exo2-RegularCondensed.otf</fontPath>
            <fontSize>0.0195</fontSize>
            <color>${gamelistDefaultTextColor}</color>
            <letterCase>uppercase</letterCase>
        </datetime>
        <text name="labelReleasedate">
            <pos>0.815 0.2755</pos>
            <text>Released:</text>
            <metadataElement>true</metadataElement>
        </text>
        <datetime name="releasedate">
            <pos>0.83 0.3005</pos>
            <metadata>releasedate</metadata>
        </datetime>
        <text name="labelDeveloper">
            <pos>0.815 0.3355</pos>
            <text>Developer:</text>
            <metadataElement>true</metadataElement>
        </text>
        <text name="developer">
            <pos>0.83 0.3605</pos>
            <metadata>developer</metadata>
        </text>
        <text name="labelPublisher">
            <pos>0.815 0.3955</pos>
            <text>Publisher:</text>
            <metadataElement>true</metadataElement>
        </text>
        <text name="publisher">
            <pos>0.83 0.4205</pos>
            <metadata>publisher</metadata>
        </text>
        <text name="labelGenre">
            <pos>0.815 0.4555</pos>
            <text>Genre:</text>
            <metadataElement>true</metadataElement>
        </text>
        <text name="genre">
            <pos>0.83 0.4805</pos>
            <metadata>genre</metadata>
        </text>
        <text name="labelPlayers">
            <pos>0.815 0.5155</pos>
            <text>Players:</text>
            <metadataElement>true</metadataElement>
        </text>
        <text name="players">
            <pos>0.83 0.5405</pos>
            <metadata>players</metadata>
        </text>
        <gamelistinfo name="gamelistInfo">
            <pos>0.773 0.192</pos>
            <size>0.2 0.042</size>
            <fontPath>./core/fonts/Exo2-BoldCondensed.otf</fontPath>
            <fontSize>0.025</fontSize>
            <horizontalAlignment>right</horizontalAlignment>
            <color>${gamelistInfoColor}</color>
        </gamelistinfo>
        <badges name="badges">
            <pos>0.65 0.29</pos>
            <size>0.13 0.235</size>
            <horizontalAlignment>left</horizontalAlignment>
            <direction>row</direction>
            <lines>3</lines>
            <itemsPerLine>3</itemsPerLine>
            <slots>collection, folder, favorite, completed, kidgame, broken, controller, altemulator, manual</slots>
            <controllerPos>0.5 0.572</controllerPos>
            <controllerSize>0.81</controllerSize>
            <folderLinkPos>0.54 0.64</folderLinkPos>
            <folderLinkSize>0.31</folderLinkSize>
            <itemMargin>-1.0 0.005</itemMargin>
        </badges>
        <rating name="rating">
            <pos>0.65 0.25</pos>
            <size>0 0.03</size>
            <interpolation>nearest</interpolation>
            <color>${gamelistRatingColor}</color>
            <filledPath>./core/images/rating_filled.svg</filledPath>
            <unfilledPath>./core/images/rating_empty.svg</unfilledPath>
            <overlay>false</overlay>
        </rating>
        <helpsystem name="help">
            <pos>0.012 0.955</pos>
            <textColor>${gamelistHelpColor}</textColor>
            <iconColor>${gamelistHelpColor}</iconColor>
            <textColorDimmed>${gamelistHelpColorDimmed}</textColorDimmed>
            <iconColorDimmed>${gamelistHelpColorDimmed}</iconColorDimmed>
        </helpsystem>
    </view>

    <aspectRatio name="4:3">
        <view name="system">
            <helpsystem name="help">
                <pos>0.9885 0.955</pos>
                <fontSize>0.034</fontSize>
            </helpsystem>
        </view>
        <view name="system">
            <carousel name="systemCarousel">
                <itemRotationOrigin>-4.05 0.5</itemRotationOrigin>
                <horizontalOffset>-0.03</horizontalOffset>
            </carousel>
            <text name="recentlyPlayed">
                <pos>0.775 0.038</pos>
                <size>0.2 0</size>
                <fontSize>0.031</fontSize>
            </text>
            <rating name="recentGameRating">
                <pos>0.975 0.050</pos>
                <size>0.022 0.022</size>
            </rating>
        </view>
    </aspectRatio>
</theme>